Bug 56407 - Asus CUV266-D mainboard SMP / APIC boot problem
Asus CUV266-D mainboard SMP / APIC boot problem
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 15:43 EST by wikne
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-16 15:45:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wikne 2001-11-16 15:43:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19 i586)

Description of problem:
The kernels vmlinuz-2.4.7-10smp vmlinuz-2.4.9-13smp (as well as recent
non-RedHat 2.4.* kernels) hang shortly after APIC initialization at boot.
Booting with "noapic" option or disabling the secondary IDE port in BIOS on
the mainboard both remove the problem. Kernels 2.2.19 and 2.2.20
(non-RedHat)
seem to work OK with SMP / APIC enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot the system with the specified kernel.
2.
3.
	

Actual Results:  The system hung indefinitely.

Expected Results:  The system should have booted normally.

Additional info:

Samples of boot messages are given below. They are based on notes taken
from the screen by hand, and may not be 100% accurate.

From a boot with 2.4.7-10:

CPU0: <T0:1333056, T1:888688, D:12, S:444356, C:1333070> 
CPU1: <T0:1333056, T1:444336, D:8, S:444356, C:1333070> 
Checking TSC synchronization across CPUs: Passed
PCI: PCI BIOS Rev 2.10 entry at 0xf0d00 last bus 1
Unknown bridge resource 0: Assuming transparent

PCI: Using IRQ router VIA[1106/3074] at 00:11.0
PCI apic IRQ transform (B0,I13,P0) -> 16
PCI apic IRQ transform (B0,I15,P0) -> 16
PCI apic IRQ transform (B0,I16,P0) -> 19
PCI apic IRQ transform (B0,I17,P3) -> 19
PCI apic IRQ transform (B0,I17,P3) -> 19
PCI apic IRQ transform (B0,I17,P3) -> 19
PCI apic IRQ transform (B0,I0,P0) -> 16
PCI: Via IRQ fixup for 00:11.2 from 9 to 3
PCI: Via IRQ fixup for 00:11.3 from 9 to 3
PCI: Via IRQ fixup for 00:11.4 from 9 to 3

ISAPnP: No devices

Linux net 4.0 for Linux 2.4
Based on.....
Initializing netlink socket

[ *HANG* ]

From a boot with 2.4.9-13:

CPU 1: Intel Pentium III (Coppermine) stepping 0a
Total of 2 processors activated (3999.24 BogoMIPS)

ENABLING IO-APIC IRQs
   ... changing IO-APIC physical APIC ID to 2 ... ok
   ... TIMER vector=0x31 pin1=2 pin2=0

Testing the IO APIC
   Warning: Unexpected IO-APIC, please mail
   to linux-smp@vger.kernel.org
   ........................done

Using local APIC timer interrupts
Calibrating APIC timer...
... CPU clock speed is 999.5181MHz
... host bus clock speed is 133.2689MHz

CPU: 0, clocks: 1332689, slice: 444229
CPU0: <T0:1332688, T1:888488, D:11, S:444229, C:1332689> 
CPU: 1, clocks: 1332689, slice: 444229
CPU1: <T0:1332688, T1:888224, D:6, S:444229, C:1332689> 

Checking TSC ... passed

PCI: PCI BIOS Rev 2.10 entry at 0xf0d00 last bus 1
PCI: Using configuration type 1
PCI: Probing PCI hardware

[ *HANG* ]

The output from the program dmidecode.c is given below:

root@siri 11 # cat dmidecode.out
SMBIOS 2.3 present.
DMI 2.3 present.
47 structures occupying 1479 bytes.
DMI table at 0x000F2A80.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information Block
                Vendor: Award Software, Inc.
                Version: ASUS CUV266-D ACPI BIOS Revision 1004
            Release: 07/09/2001
                BIOS base: 0xF0000
                ROM size: 192K
                Capabilities:
                        Flags: 0x000000007FCBDE80
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information Block
                Vendor: System Manufacturer
                Product: System Name
                Version: System Version
                Serial Number: SYS-1234567890
Handle 0x0002
        DMI type 2, 8 bytes.
        Board Information Block
                Vendor: ASUSTeK Computer INC.
                Product: CUV266-D
                Version: REV 1.xx
                Serial Number: xxxxxxxxxxx
Handle 0x0003
        DMI type 3, 17 bytes.
        Chassis Information Block
                Vendor: Chassis Manufacture
                Chassis Type: Tower
                Version: Chassis Version
                Serial Number: Chassis Serial Number
                Asset Tag: Asset-1234567890
Handle 0x0004
        DMI type 4, 32 bytes.
        Processor
                Socket Designation: PGA 370-0
                Processor Type: Central Processor
                Processor Family: Pentium III processor
                Processor Manufacturer: GenuineIntel
                Processor Version: Intel Pentium III Processor
Handle 0x0005
        DMI type 4, 32 bytes.
        Processor
                Socket Designation: PGA 370-1
                Processor Type: Central Processor
                Processor Family: Pentium III processor
                Processor Manufacturer: GenuineIntel
                Processor Version: Intel Pentium III Processor
Handle 0x0006
        DMI type 5, 24 bytes.
        Memory Controller
Handle 0x0007
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 1
                Banks: 0 1
                Type: 
                Installed Size: 512Mbyte (Double sided)
                Enabled Size: 512Mbyte (Double sided)
Handle 0x0008
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 2
                Banks: 2 3
                Type: 
                Installed Size: 512Mbyte (Double sided)
                Enabled Size: 512Mbyte (Double sided)
Handle 0x0009
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 3
                Banks: 4 5
                Type: 
                Installed Size: Not Installed
                Enabled Size: Not Installed
Handle 0x000A
        DMI type 6, 12 bytes.
        Memory Bank
                Socket: DIMM 4
                Banks: 6 7
                Type: 
                Installed Size: Not Installed
                Enabled Size: Not Installed
Handle 0x000B
        DMI type 7, 19 bytes.
        Cache
                Socket: L1 Cache
                L1 Internal Cache: write-back
                L1 Cache Size: 32K
                L1 Cache Maximum: 32K
                L1 Cache Type: Pipeline burst Synchronous 
Handle 0x000C
 DMI type 7, 19 bytes.
        Cache
                Socket: L2 Cache
                L2 Internal Cache: write-back
                L2 Cache Size: 256K
                L2 Cache Maximum: 256K
                L2 Cache Type: Pipeline burst Synchronous 
Handle 0x000D
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: PRIMARY IDE/HDD
                Internal Connector Type: On Board IDE
                External Designator: 
                External Connector Type: None
                Port Type: None
Handle 0x000E
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: SECONDARY IDE/HDD
                Internal Connector Type: On Board IDE
                External Designator: 
                External Connector Type: None
                Port Type: None
Handle 0x000F
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: FLOPPY
                Internal Connector Type: On Board Floppy
                External Designator: 
                External Connector Type: None
                Port Type: None
Handle 0x0010
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: USB1
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0011
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: USB2
                External Connector Type: Access Bus (USB)
                Port Type: USB
Handle 0x0012
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: PS/2 Keybaord
                External Connector Type: PS/2
                Port Type: Keyboard Port
Handle 0x0013
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: PS/2 Mouse
                External Connector Type: PS/2
                Port Type: Mouse Port
Handle 0x0014
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: Parallel Port
                External Connector Type: DB-25 pin female
                Port Type: Parallel Port ECP/EPP
Handle 0x0015
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: Serial Port
                External Connector Type: DB-9 pin male
                Port Type: Serial Port 16650 Compatible
Handle 0x0016
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: Serial Port 2
                External Connector Type: DB-9 pin male
                Port Type: Serial Port 16650 Compatible
Handle 0x0017
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: Joystick Port
                External Connector Type: DB-15 pin female
                Port Type: Joy Stick Port
Handle 0x0018
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: MIDI Port
                External Connector Type: DB-15 pin female
                Port Type: MIDI Port
Handle 0x0019
        DMI type 8, 9 bytes.
        Port Connector
                Internal Designator: 
                Internal Connector Type: None
                External Designator: Video Port
                External Connector Type: Mini-jack (headphones)
                Port Type: Video Port
Handle 0x001A
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 1
                Type: 32bit Long PCI 
                Status: Available.
Handle 0x001B
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 2
                Type: 32bit Long PCI 
                Status: In use.
Handle 0x001C
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 3
                Type: 32bit Long PCI 
                Status: Available.
Handle 0x001D
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 4
                Type: 32bit Long PCI 
                Status: In use.
Handle 0x001E
        DMI type 9, 13 bytes.
        Card Slot
                Slot: PCI 5
                Type: 32bit Long PCI 
                Status: In use.
Handle 0x001F
        DMI type 9, 13 bytes.
        Card Slot
                Slot: AGP
                Type: 32bit Long PCI 
                Status: In use.
Handle 0x0020
        DMI type 13, 22 bytes.
        BIOS Language Information
Handle 0x0021
        DMI type 14, 17 bytes.
        Group Associations
                Group Name: Cpu Module
                        Type: 0x04
                        Handle: 0x0004
                Group Name: Cpu Module
                        Type: 0x04
                        Handle: 0x0005
                Group Name: Cpu Module
                        Type: 0x07
                        Handle: 0x000b
                Group Name: Cpu Module
                        Type: 0x07
                        Handle: 0x000c
Handle 0x0022
        DMI type 14, 35 bytes.
        Group Associations
                Group Name: Memory Module Set
                        Type: 0x10
                        Handle: 0x0023
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0024
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x0029
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0025
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x002a
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0026
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x002b
                Group Name: Memory Module Set
                        Type: 0x11
                        Handle: 0x0027
                Group Name: Memory Module Set
                        Type: 0x14
                        Handle: 0x002c
                Group Name: Memory Module Set
                        Type: 0x13
                        Handle: 0x0028
Handle 0x0023
        DMI type 16, 15 bytes.
        Physical Memory Array
Handle 0x0024
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0025
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0026
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0027
        DMI type 17, 23 bytes.
        Memory Device
Handle 0x0028
        DMI type 19, 15 bytes.
        Memory Array Mapped Address
Handle 0x0029
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
Handle 0x002A
        DMI type 20, 19 bytes.
        Memory Device Mapped Address
Handle 0x002B
        DMI type 126, 19 bytes.
        Inactive
Handle 0x002C
        DMI type 126, 19 bytes.
        Inactive
Handle 0x002D
        DMI type 32, 11 bytes.
        System Boot Information
Handle 0x002E
        DMI type 127, 4 bytes.
        End-of-Table
Comment 1 Arjan van de Ven 2001-11-16 15:45:05 EST
Known CUV problem; could you check in the bios if there is an "MPS" setting ?
depending on the version of the bios, "1.1", "1.4" or "none" is reported to work.
Comment 2 wikne 2001-11-16 16:11:27 EST
This suggestion was also made in other fora this was discussed. Unfortunately, I
could
find no "MPS" setting anywhere in the BIOS setup menus. Now, when going through
them
for the N'th time, I found one! And yes, changing it do "disabled" helped. ;P

Note You need to log in before you can comment on or make changes to this bug.